# Returns a list of registration types for the specified contact

Returns a list of registration types for the specified contact

Endpoint: GET /registrationTypes/{tenantId}/event/{event_id}/portal/{contact_id}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The tenant

  - `event_id` (string, required)
    The event_id to use to for record lookup

  - `contact_id` (string, required)
    The contact ID

## Query parameters:

  - `exclusiveStartKey` (string)
    If paging, this allows you to return the next set of results

## Response 200:

  - `200` (unknown)
    The records were retrieved successfully

## Response 200 fields (application/json):

  - `Count` (integer)

  - `Items` (array)

  - `Items.category_id` (string)
    The global registration category to which this type belongs

  - `Items.coupon_code_options` (object, required)

  - `Items.coupon_code_options.automatically_add_coupon_to_order` (boolean)
    If true, when the customer puts in the coupon code, its also added to the order

  - `Items.coupon_code_options.coupon_ids` (array)
    The IDs of the event coupons that must be presented

  - `Items.coupon_code_options.prompt_text` (string)
    Text to show to the user

  - `Items.custom_field_values` (array)

  - `Items.custom_field_values.boolean_value` (boolean)
    The boolean value

  - `Items.custom_field_values.custom_field_id` (string)
    The unique identifier of the custom field

  - `Items.custom_field_values.file_url_value` (string)
    The pointer to a file value

  - `Items.custom_field_values.list_value` (array)
    The list value

  - `Items.custom_field_values.numeric_value` (number)
    The numeric value

  - `Items.custom_field_values.string_value` (string)
    The string value of the custom field

  - `Items.custom_field_values.table_value` (array)
    A list of objects (a table)

  - `Items.description` (string)
    Portal-viewable description of this type

  - `Items.display_order` (number)
    The display order

  - `Items.enable_restrictions` (boolean)
    If set, only certain people can register with this type

  - `Items.event_id` (string, required)
    The event

  - `Items.exhibitor_options` (object)

  - `Items.exhibitor_options.contact_type_ids` (array)
    If set, these are the contact ids that are allowed to receive this package

  - `Items.id` (string, required)
    The unique, string identifier of this registration type

  - `Items.is_active` (boolean)
    Whether or not this registration type is active

  - `Items.name` (string, required)
    The name of the registration type

  - `Items.process_id` (string)
    The registration process for this type

  - `Items.requires_coupon_code` (boolean)
    If set, then a valid coupon code for one of the specified coupons must be provided before someone can register as this type

  - `Items.restrict_to_exhibitors` (boolean)
    If true, only contacts tied to exhibiting organizations are allowed to get this package

  - `Items.restrict_to_guests` (boolean)
    Whether this is a guest registration type

  - `Items.restrict_to_speakers` (boolean)
    Whether this is a speaker registration type

  - `Items.restrictions` (object, required)

  - `Items.restrictions.criteria` (object, required)
    The criteria to use

  - `Items.restrictions.criteria.advanced_rule_error_message` (string)
    The error message to show when the advanced rule fails

  - `Items.restrictions.criteria.advanced_rules` (object)

  - `Items.restrictions.criteria.age_restrictions` (object)

  - `Items.restrictions.criteria.age_restrictions.maximum_age` (number)
    The maximum age of the contact

  - `Items.restrictions.criteria.age_restrictions.minimum_age` (number)
    The minimum age of the contact

  - `Items.restrictions.criteria.award_options` (object)

  - `Items.restrictions.criteria.award_options.award_ids` (array)

  - `Items.restrictions.criteria.award_options.award_type_ids` (array)

  - `Items.restrictions.criteria.award_options.logic_operator` (string)
    Enum: "and", "not"

  - `Items.restrictions.criteria.award_recipients` (boolean)
    If set, only people who have received awards

  - `Items.restrictions.criteria.by_location` (boolean)
    If true, then filter by location

  - `Items.restrictions.criteria.certificants` (boolean)
    If set, only people with specific certifications

  - `Items.restrictions.criteria.certification_options` (object)

  - `Items.restrictions.criteria.certification_options.logic_operator` (string)
    Enum: "and", "not"

  - `Items.restrictions.criteria.certification_options.program_ids` (array)

  - `Items.restrictions.criteria.committee_member_options` (object)

  - `Items.restrictions.criteria.committee_member_options.committee_ids` (array)

  - `Items.restrictions.criteria.committee_member_options.committee_position_ids` (array)

  - `Items.restrictions.criteria.committee_member_options.committee_type_ids` (array)

  - `Items.restrictions.criteria.committee_member_options.logic_operator` (string)
    Enum: "and", "not"

  - `Items.restrictions.criteria.committee_members` (boolean)
    If set, active members who belong to a committee can purchase

  - `Items.restrictions.criteria.custom_logic_options` (object)

  - `Items.restrictions.criteria.custom_logic_options.lambda_function_id` (string, required)
    The custom lambda function to use

  - `Items.restrictions.criteria.customer_type` (string)
    Enum: "contact", "organization"

  - `Items.restrictions.criteria.donor_options` (object)

  - `Items.restrictions.criteria.donor_options.donor_club_ids` (array)

  - `Items.restrictions.criteria.donor_options.logic_operator` (string)
    Enum: "and", "not"

  - `Items.restrictions.criteria.donors` (boolean)
    If true, only donors

  - `Items.restrictions.criteria.enable_advanced_rules` (boolean)
    Enable advanced JSON rules

  - `Items.restrictions.criteria.enable_age_restrictions` (boolean)
    Age registrations

  - `Items.restrictions.criteria.enable_custom_logic` (boolean)
    If set, the order engine will call out to a custom lambda function to process/change the order immediately after bundle expansion

  - `Items.restrictions.criteria.enable_entitlement_restrictions` (boolean)
    If set, then you must have certain entitlements

  - `Items.restrictions.criteria.enable_expression` (boolean)
    Whether or not to enable an expression for evaluation

  - `Items.restrictions.criteria.enable_organization_restrictions` (boolean)
    If set, you can restrict organizations

  - `Items.restrictions.criteria.enable_status_restriction` (boolean)
    If set, you can restrict by status

  - `Items.restrictions.criteria.entitlement_restrictions` (array)

  - `Items.restrictions.criteria.entitlement_restrictions.quantity` (number)
    The quantity you must have

  - `Items.restrictions.criteria.entitlement_restrictions.type_id` (string, required)
    The type of entitlement

  - `Items.restrictions.criteria.event_registration_options` (object)

  - `Items.restrictions.criteria.event_registration_options.event_ids` (array)

  - `Items.restrictions.criteria.event_registration_options.logic_operator` (string)
    Enum: "and", "not"

  - `Items.restrictions.criteria.event_registration_options.registration_category_ids` (array)

  - `Items.restrictions.criteria.event_registrations` (boolean)
    If set, only people who have registered for events

  - `Items.restrictions.criteria.expression` (string)
    The expression

  - `Items.restrictions.criteria.expression_error_message` (string)
    The error message to show when the expression fails

  - `Items.restrictions.criteria.location` (object)

  - `Items.restrictions.criteria.location.countries` (array)
    Countries

  - `Items.restrictions.criteria.location.negate_logic` (boolean)
    If true, the logic in this section is negated; so NOT from these places

  - `Items.restrictions.criteria.logic_operator` (string)
    Enum: "and", "not"

  - `Items.restrictions.criteria.member_options` (object)

  - `Items.restrictions.criteria.member_options.chapter_member_options` (object)

  - `Items.restrictions.criteria.member_options.chapter_member_options.chapter_ids` (array)

  - `Items.restrictions.criteria.member_options.chapter_member_options.chapter_type_ids` (array)

  - `Items.restrictions.criteria.member_options.chapter_member_options.logic_operator` (string)
    Enum: "and", "not"

  - `Items.restrictions.criteria.member_options.chapter_members` (boolean)
    If set, active members who belong to a chapter can purchase

  - `Items.restrictions.criteria.member_options.member_package_ids` (array)
    The member package

  - `Items.restrictions.criteria.member_options.member_status_reason_ids` (array)

  - `Items.restrictions.criteria.member_options.member_statuses` (array)

  - `Items.restrictions.criteria.member_options.member_type_ids` (array)
    The member types

  - `Items.restrictions.criteria.member_options.section_member_options` (object)

  - `Items.restrictions.criteria.member_options.section_member_options.logic_operator` (string)
    Enum: "and", "not"

  - `Items.restrictions.criteria.member_options.section_member_options.section_ids` (array)

  - `Items.restrictions.criteria.member_options.section_member_options.section_type_ids` (array)

  - `Items.restrictions.criteria.member_options.section_members` (boolean)
    If set, active members who belong to a section can purchase

  - `Items.restrictions.criteria.members` (boolean)
    If set, active members can purchase this

  - `Items.restrictions.criteria.non_members` (boolean)
    If set, only nonmembers can purchase

  - `Items.restrictions.criteria.organization_restrictions` (object)

  - `Items.restrictions.criteria.organization_restrictions.contact_role_ids` (array)

  - `Items.restrictions.criteria.organization_restrictions.organization_type_ids` (array)

  - `Items.restrictions.criteria.status_restrictions` (array)
    The statuses

  - `Items.restrictions.criteria.use_organization_for_eligibility` (boolean)
    If checked, a person's organization is used to check for eligibility, rather than the person themselves

  - `Items.selectable_in_portal` (boolean)
    Whether this type can be chosen in the portal

  - `Items.sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `Items.sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `Items.sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `Items.sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `Items.sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `Items.sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `Items.sys_calculated_field_errors` (array)

  - `Items.sys_calculated_field_errors.error` (string)

  - `Items.sys_calculated_field_errors.field` (string)

  - `Items.sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `Items.sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `Items.sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `Items.sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `Items.sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `Items.sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `Items.sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `Items.sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `Items.sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `Items.sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `Items.sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `Items.sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `Items.sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `Items.sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `Items.sys_version` (number)
    A number representing the version of this record in the database

  - `Items.type` (string)
    Enum: "exhibitor", "general attendee", "guest", "invite only", "speaker"

  - `LastEvaluatedKey` (string)

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The request was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    Unable to locate records

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve records based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

